#
# spec file for package perl-AppConfig (Version 1.56)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-AppConfig
Version:        1.56
Release:        43.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/AppConfig/
Summary:        Perl module for reading configuration files and parsing command line arguments
Source:         AppConfig-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AppConfig is a Perl module for managing application configuration
information. It maintains the state of any number of variables and
provides methods for parsing configuration files and command line
arguments.



Authors:
--------
    Andy Wardley <abw@cre.canon.co.uk

%debug_package
%prep
%setup -n AppConfig-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
    rm -rf $RPM_BUILD_ROOT
    make DESTDIR=$RPM_BUILD_ROOT install_vendor
    %perl_process_packlist

%files
%defattr(-,root,root,-)
%doc Changes MANIFEST README TODO
%doc %{_mandir}/man?/*
%{perl_vendorlib}/AppConfig*
%{perl_vendorarch}/auto/AppConfig
/var/adm/perl-modules/perl-AppConfig

%changelog -n perl-AppConfig
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 - dmueller@suse.de
- build as nonroot
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 1.56
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - freitag@suse.de
- fixed specfile to use vendorbranch and use macros
* Sun Jun 22 2003 - coolo@suse.de
- package directories
* Mon May 19 2003 - freitag@suse.de
- removed perllocal.pod and updated to new version 1.55
* Thu Jan 30 2003 - ro@suse.de
- no noarch
* Thu Nov 28 2002 - freitag@suse.de
- added noarch Architecture flag.
* Thu Nov 28 2002 - freitag@suse.de
- new package perl-AppConfig
